### Method

# Clutter Actor add_child

#### Declaration [src]

    void
    clutter_actor_add_child (
      ClutterActor* self,
      ClutterActor* child
    )

#### Description [src]

Adds `child` to the children of `self`.

This function will acquire a reference on `child` that will only be released when calling `clutter_actor_remove_child()`.

This function will take into consideration the depth of `child`, and will keep the list of children sorted.

This function will emit the `ClutterActor::child-added` signal on `self`.

#### Parameters

`child`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the method.